CREATE TABLE gl_enc_carry_forward_rules (
    ENC_CARRY_FORWARD_RULE_ID    NUMBER(18, 0),
    NAME                         VARCHAR2(120)    NOT NULL,
    CHART_OF_ACCOUNTS_ID         NUMBER(18, 0)    NOT NULL,
    DESCRIPTION                  VARCHAR2(960),
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ENC_CARRY_FORWARD_RULE_ID    NUMBER(18, 0),
    NAME                         VARCHAR2(120)    NOT NULL,
    CHART_OF_ACCOUNTS_ID         NUMBER(18, 0)    NOT NULL,
    DESCRIPTION                  VARCHAR2(960),
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_enc_carry_forward_rules PRIMARY KEY (ENC_CARRY_FORWARD_RULE_ID, ENC_CARRY_FORWARD_RULE_ID)
);
